# window buttons	
#
#Large up Triangle for Maximize
ButtonStyle 2 4 50x24@1 75x74@0 25x74@0 50x24@1

#Large down Triangle for Triangle
ButtonStyle 4 4 50x74@1 75x24@0 25x24@1 50x74@1

#Cross for Stick
ButtonStyle 3 13 20x60@1 20x40@1 40x40@1 40x20@1 60x20@1 60x40@0 80x40@1 80x60@0 60x60@0 60x80@0 40x80@0 40x60@1 20x60@0


#general configuration

DeskTopSize 3x2
EdgeResistance 250 10
EdgeScroll 0 0
ClickTime 750
ColormapFocus FollowsMouse
IgnoreModifiers L2
OpaqueMoveSize 100


#paths specific to fvwm2

ModulePath /usr/X11R6/lib/X11/fvwm2
ImagePath /usr/X11R6/share/icons/xpm/hicolor/all:/usr/X11R6/share/icons/xpm/locolor/all:/usr/X11R6/lib/X11/fvwm2/pixmaps:/usr/share/wallpapers


#colors

# 0 = Default colors
# 1 = Inactive windows
# 2 = Active windows
# 3 = Inactive menu entry and menu background
# 4 = Active menu entry
# 5 = greyed out menu entry (only bg used)
# 6 = module foreground and background)
# 7 = hilight colors
*FvwmTheme: Colorset 0 fg black, bg rgb:6f/a1/dc
*FvwmTheme: Colorset 1 fg black, bg rgb:a1/b2/c8
*FvwmTheme: Colorset 2 fg black, bg rgb:70/a2/dd
*FvwmTheme: Colorset 3 fg black, bg rgb:c8/d3/e5, VGradient 100 dtcolor5 rgb:c8/d3/e5
*FvwmTheme: Colorset 4 fg black, bg rgb:91/ae/d6
*FvwmTheme: Colorset 5 fg rgb:d2/bf/a8, bg rgb:b4/aa/94
*FvwmTheme: Colorset 6 fg black, bg rgb:b4/aa/94, VGradient 100 dtcolor5 rgb:b4/aa/94
*FvwmTheme: Colorset 7 fg black, bg rgb:94/ab/bf

S# run FvwmTheme before anything else is done
ModuleSynchronous Timeout 5 FvwmTheme
#
# general setup
#
Style * Colorset 1
Style * HilightColorset 2
MenuStyle * MenuColorset 3
MenuStyle * ActiveColorset 4
MenuStyle * GreyedColorset 5

XORvalue 255

#fonts
DefaultFont 		"StringEncoding=UTF-8:xft:sans-serif:encoding=iso10646-1:size=10;-misc-*-medium-r-semicondensed-*-13-*-*-*-*-*-iso10646-1"
WindowFont      	"StringEncoding=UTF-8:xft:sans-serif:encoding=iso10646-1:style=bold:size=10;-misc-fixed-bold-r-normal-*-13-*-*-*-*-*-iso10646-1"
IconFont        	"StringEncoding=UTF-8:xft:sans-serif:encoding=iso10646-1:size=8;-misc-fixed-medium-r-normal-*-10-*-*-*-*-*-iso10646-1"


#fvwm system functions

AddToFunc QuitSave
 +	"I"	Quit
AddToFunc InitFunction
 +	"I"	Module FvwmBanner
 +	"I"	Exec susewmif xmessages
 +	"I"	Exec xterm -ls -geometry +150+85
 +	"I"	Module FvwmButtons
 +	"I"	Exec fvwm-root /usr/share/wallpapers/suse9.1-default.png
 +	"I"	Exec intercom -l -S -t

AddToFunc RestartFunction
 +	"I"	Module FvwmBanner
 +	"I"	Module FvwmButtons
 +	"I"	Exec xmessages
 +	"I"	Exec fvwm-root /usr/share/wallpapers/suse9.1-default.png

AddToFunc ExitFunction
 +	"I"	Exec xsetroot
 +	"I"	Exec susewmif kill
 +	"I"	Exec xsetroot

AddToFunc "StartFunction" "I" Module FvwmTaskBar

#fvwm window modifier functions

AddToFunc MoveOrRaise
+                         "C"       Raise
+                         "M"      Raise
+                         "M"      Move
+                         "D" Lower
AddToFunc ResizeOrRaise
+                          "C"       Raise
+                          "M"      Raise
+                          "M"      Resize
+                          "D" Lower
AddToFunc MaximizeFunc
+                          "M"      Maximize   0 100
+                          "C"       Maximize   0  80
+                          "D" Maximize 100 100
AddToFunc MoveOrIconify
+                          "I"   Raise
+                          "M"      Raise
+                          "M"      Move
+                          "D" Iconify


#buttonbar menu

AddToMenu bargraphicspopup "Graphics"	Title
 + "Gimp"		 Exec gimp
 + "XV"			 Exec xv

AddToMenu bartoolspopup "Tools"	Title
# + "Mozilla"		 Exec mozilla
 + "Internet"		 Exec qinternet
 + "Browser"		 Exec konqueror
 + "Opera"		 Exec opera
 + "Mail"		 Exec netscape -messenger
 + "File"		 Exec xfe

AddToMenu barshellspopup "Shell in XTerm"	Title
 +	"Shell in XTerm"	Exec xterm -e bash -login
 +	"Root shell"		Function RootShell

AddToMenu barsusepopup "SUSE"	Title
 +	"Control Center"	Exec xterm -e su - -cyast2
 +	"Help"			Exec susehelp
 +	"SUSE menu"		Popup xdg_menu


AddToFunc RootShell
 +	"I"	Exec xterm -ls -vb -sb -sl 2000 -T Root -n Root -j -rw +vb -bg \#ff8c6d -e  su -

AddToMenu windowops "Window menu (Shift-Alt-Space)"	Title
 + "Mo&ve                  (Alt-F5) "	Move
 + "Resi&ze                (Alt-F6) "	Resize
 + "&Iconify               (Alt-F4) "	Iconify
 + "&Maximize/Normal (Shift-Alt-F3) "	Maximize
 + "(Un)St&ick       (Shift-Alt-F4) "	Stick
 +    ""  Nop 
 + "Window &list          (Alt-F11) "	WindowList
 +    ""  Nop 
 + "&Close                 (Alt-F9) "	Delete
 + "&Kill                 (Alt-F11) "	Destroy


#Menu: Fvwm-Manpages

AddToMenu manpages_popup "Fvwm-Manpages"   Title
 + "FvwmAudio"		 Exec xterm -e man FvwmAudio
 + "FvwmAuto"		 Exec xterm -e man FvwmAuto
 + "FvwmBacker"		 Exec xterm -e man FvwmBacker
 + "FvwmBanner"		 Exec xterm -e man FvwmBanner
 + "FvwmButtons"		 Exec xterm -e man FvwmButtons
 + "FvwmCascade"		 Exec xterm -e man FvwmCascade
 + "FvwmCommand"		 Exec xterm -e man FvwmCommand
 + "FvwmConfig"		 Exec xterm -e man FvwmConfig
 + "FvwmConsole"		 Exec xterm -e man FvwmConsole
 + "FvwmConsoleC"		 Exec xterm -e man FvwmConsoleC
 + "FvwmCpp"		 Exec xterm -e man FvwmCpp
 + "FvwmDebug"		 Exec xterm -e man FvwmDebug
 + "FvwmForm"		 Exec xterm -e man FvwmForm
 + "FvwmGoodStuff"		 Exec xterm -e man FvwmGoodStuff
 + "FvwmIconBox"		 Exec xterm -e man FvwmIconBox
 + "FvwmIconMan"		 Exec xterm -e man FvwmIconMan
 + "FvwmIdent"		 Exec xterm -e man FvwmIdent
 + "FvwmM4"		 Exec xterm -e man FvwmM4
 + "FvwmPager"		 Exec xterm -e man FvwmPager
 + "FvwmSave"		 Exec xterm -e man FvwmSave
 + "FvwmSaveDesk"		 Exec xterm -e man FvwmSaveDesk
 + "FvwmScript"		 Exec xterm -e man FvwmScript
 + "FvwmScroll"		 Exec xterm -e man FvwmScroll
 + "FvwmTalk"		 Exec xterm -e man FvwmTalk
 + "FvwmTaskBar"		 Exec xterm -e man FvwmTaskBar
 + "FvwmTile"		 Exec xterm -e man FvwmTile
 + "FvwmWharf"		 Exec xterm -e man FvwmWharf
 + "FvwmWinList"		 Exec xterm -e man FvwmWinList



#Menu: Modules

AddToMenu modules_popup "Modules"   Title
 + "Audio"		 Module FvwmAudio
 + "Autoraise off"	 KillModule FvwmAuto
 + "Autoraise 500ms"	 Module FvwmAuto 500
 + "Banner"		 Module FvwmBanner
 + "Buttons"		 Module FvwmButtons
 + "Cascade"		 Module FvwmCascade
 + "Command"		 Module FvwmCommand
 + "Config"		 Module FvwmConfig
 + "Console"		 Module FvwmConsole
 + "Debug"		 Module FvwmDebug
 + "Form"		 Module FvwmForm
 + "GoodStuff"		 Module FvwmGoodStuff
 + "IconBox"		 Module FvwmIconBox
 + "IconMan"		 Module FvwmIconMan
 + "Ident"		 Module FvwmIdent
 + "M4"		 	 Module FvwmM4
 + "Pager"		 Module FvwmPager 0 0
 + "Pipe"		 Module FvwmPipe
 + "Save"		 Module FvwmSave
 + "SaveDesk"		 Module FvwmSaveDesk
 + "Script"		 Module FvwmScript
 + "Scroll"		 Module FvwmScroll
 + "Talk"		 Module FvwmTalk
 + "TaskBar"		 Module FvwmTaskBar
 + "Tile"		 Module FvwmTile
 + "Wharf"		 Module FvwmWharf
 + "WinList"		 Module FvwmWinList



#Menu: WindowManager

AddToMenu THISWM_MENU_popup "WindowManager"   Title
 + "Modules"	 Popup modules_popup 
 + "Fvwm-Manpages"	 Popup manpages_popup 
	+	""	Nop
 + "Fvwm2-Manpage"		 Exec xterm -e man fvwm
	+	""	Nop
 + "Restart Fvwm2"		 Restart
	+	""	Nop
 + "Exit"		 Quit



#Menu: Keyboardclicks

AddToMenu settings_kbdclick_popup "Keyboardclicks"   Title
 + "hard"		Exec xset c 100
 + "Off"		Exec xset c off
 + "soft"		Exec xset c on


#Menu: Mouse

AddToMenu settings_mouse_popup "Mouse"   Title
 + "fast"		Exec xset m 4 2
 + "Left handed mouse"	Exec xmodmap -e
 + "normal"		Exec xset m 2 5
 + "slow"		Exec xset m 1 1



#Menu: Speaker

AddToMenu settings_speaker_popup "Speaker"   Title
 + "loud"		Exec xset b  100 600 50
 + "normal"		Exec xset b on
 + "loud and long"	Exec xset b 100 600 300
 + "Off"		Exec xset b off



#Menu: xlock

AddToMenu settings_xlock_popup "xlock"   Title
 + "Blank"		Exec xset s blank
 + "Off"		Exec xset s off
 + "Pattern after 5 min"		 Exec xset s noblank s 300 300
 + "Immediately"	Exec xset s activate
 + "Default"		Exec xset s default



#Menu: Screen

PipeRead 'fvwm-menu-xlock --special-first'
PipeRead 'fvwm-menu-xlock --special-first --name=XSaverMenu -- -nolock'

AddToMenu screen_popup "Screen"   Title
 + "Screen-Lock"	 Popup XLockMenu
 + "Screensaver"	 Popup XSaverMenu



#Menu: Settings

AddToMenu settings_popup "Settings"   Title
 + "Keyboardclicks"	Popup settings_kbdclick_popup 
 + "Mouse"		Popup settings_mouse_popup 
 + "Speaker"		Popup settings_speaker_popup 
 + "xlock"		Popup settings_xlock_popup 


#Menu: Work

PipeRead 'xdg_menu --charset UTF-8 --format fvwm2'

AddToMenu WORK_MENU_popup "Work Menu"   Title
 +	"Shell"	Exec xterm -e bash -login
 + ""			Nop
 + "Top"		Exec xterm -e top
 + ""			Nop
 + "Screen"	 	Popup screen_popup 
 + "Settings"	 	Popup settings_popup 
 + "WindowManager"	Popup THISWM_MENU_popup
 + "SUSE"		Popup xdg_menu

Style	"FvwmPager"	NoTitle, Sticky, WindowListSkip
*FvwmPagerRows	1
*FvwmPagerColumns	1
*FvwmPagerGeometry	-0+0
*FvwmPagerFore	Black
*FvwmPagerBack	grey67
*FvwmPagerHilight	grey50
*FvwmPagerFont	none
*FvwmPagerSmallFont     "StringEncoding=UTF-8:xft:sans-serif:encoding=iso10646-1:size=6;-misc-fixed-medium-r-normal--7-*-*-*-*-*-iso10646-1"

AddToFunc barthiswmpopupfunc
 +	"I"	Popup THISWM_MENU_popup

AddToFunc barsusepopupfunc
 +	"I"	Popup barsusepopup

AddToFunc bargraphicspopupfunc
 +	"I"	Popup bargraphicspopup

AddToFunc bartoolspopupfunc
 +	"I"	Popup bartoolspopup

AddToFunc barshellspopupfunc
 +	"I"	Popup barshellspopup

*FvwmButtonsFont        "StringEncoding=UTF-8:xft:sans-serif:encoding=iso10646-1:size=9;-*-*-medium-*-semicondensed-*-12-*-*-*-*-*-iso10646-1"
*FvwmButtonsFore	Black
*FvwmButtonsBack	grey67
*FvwmButtonsGeometry	+0+0
*FvwmButtonsRows	1
*FvwmButtons (2x1 Frame 0 Swallow(UseOld) "FvwmPager" "Module FvwmPager 0 0")
*FvwmButtons: (Swallow FvwmXeyes 'Exec xeyes -name "FvwmXeyes" -geometry +0+0 -bg grey67 &')
*FvwmButtons: (Swallow FvwmXclock 'Exec xclock -name "FvwmXclock" -geometry +0+0 -padding 1 -bg grey67 &')
*FvwmButtons Fvwm2 fvwm.xpm Function barthiswmpopupfunc
*FvwmButtons SUSE big.SuSEmenu.xpm Function barsusepopupfunc
*FvwmButtons Graphics gimp.xpm Function bargraphicspopupfunc
*FvwmButtons Tools toolbox.xpm Function bartoolspopupfunc
*FvwmButtons Shells xterm.xpm Function barshellspopupfunc
#style options for modules and programs in fvwm2

BorderStyle Inactive -- HiddenHandles NoInset
Style	"*"	BackColor Grey
Style	"*"	ForeColor DimGrey
Style	"*"	SloppyFocus
Style	"*"	DecorateTransient
Style	"*"	IconBox +55 +85 +130 +480
Style	"*"	StickyIcon
Style	"*"	SmartPlacement, RandomPlacement, ResizeOpaque
Style	"*"	NoPPosition
Style	"FvwmWinList"	NoTitle, WindowListSkip
Style	"FvwmButtons"	NoTitle, Sticky, WindowListSkip
Style	"FvwmBanner"	NoTitle, Sticky, StaysOnTop, WindowListSkip
Style	"IconManModule"	NoTitle, Sticky, NoHandles, Icon toolbox.xpm

Style "FvwmTaskBar" NoTitle, Sticky, NoHandles, StaysOnTop

Style	"xeyes"	        SmartPlacement, RandomPlacement
Style	"xclock"	SmartPlacement, RandomPlacement

# see bug #36189
Style   "AcroRead"      SmartPlacement, RandomPlacement
# see bug #36188
Style   "OpenOffice*"   NoPPosition, RandomPlacement, EWMHIgnoreStrutHints, EWMHMaximizeIgnoreWorkingArea, EWMHPlacementIgnoreWorkingArea

*FvwmBackerDesk 0 -solid steelblue
*FvwmBackerDesk 1 -solid midnightblue
*FvwmBackerDesk 2 -solid yellow
*FvwmBackerDesk 3 -solid cadetblue2
*FvwmBackerDesk 5 -solid cadetblue3
*FvwmBackerDesk 6 -solid cadetblue4

*FvwmIdentBack	MidnightBlue
*FvwmIdentFore	Yellow
*FvwmIdentFont  "StringEncoding=UTF-8:xft:sans-serif:encoding=iso10646-1:size=10;-misc-fixed-medium-r-normal--13-*-*-*-*-*-iso10646-1"
*FvwmNoClutter 3600	Iconify 1
*FvwmNoClutter 86400	Delete
*NoClutterModule 172800

*FvwmWinListBack	Grey
*FvwmWinListFore	Black
*FvwmWinListFocusBack	Black
*FvwmWinListFocusFore	Grey
*FvwmWinListIconBack	LightGrey
*FvwmWinListIconFore	DimGrey
*FvwmWinListFont        "StringEncoding=UTF-8:xft:sans-serif:encoding=iso10646-1:size=11;-misc-fixed-medium-r-normal--15-*-*-*-*-*-iso10646-1"
*FvwmWinListAction	Click1 Iconify -1,Focus
*FvwmWinListAction	Click2 Iconify
*FvwmWinListAction	Click3 Module "FvwmIdent" FvwmIdent
*FvwmWinListGeometry	+0-1
*FvwmWinListUseSkipList
*FvwmWinListUseIconNames

*FvwmTaskBar: AutoHide
*FvwmTaskBar: StartMenu xdg_menu

# Key bindings

Key	Left	A	SM	Scroll -100 +0
Key	Left	A	C	CursorMove -1 0
Key	Left	A	SC	CursorMove -10 +0

Key	Right	A	SM	Scroll +100 +0
Key	Right	A	C	CursorMove +1 0
Key	Right	A	SC	CursorMove +10 +0

Key	Up	A	SM	Scroll +0 -100
Key	Up	A	C	CursorMove +0 -1
Key	Up	A	SC	CursorMove +0 -10

Key	Down	A	SM	Scroll +0 +100
Key	Down	A	C	CursorMove +0 +1
Key	Down	A	SC	CursorMove +0 +10

Key	F1	A	M	Menu	WORK_MENU_popup
Key	F2	A	M	WindowList
Key	F3	A	M	Menu	xdg_menu
Key	F4	A	M	Iconify
Key	F5	A	M	Move
Key	F6	A	M	Resize
Key	F7	A	M	Raise
Key	F8	A	M	Lower
Key	F9	A	M	Delete
Key	F10	A	M	Destroy

Key	F11	A	M	Prev [*] focus
Key	F12	A	M	Next [*] focus
Key	Tab	A	4	Next [*] focus
Key	Tab	A	S4	Prev [*] focus

Key	F3	A	SM	Maximize
Key	F4	A	SM	Stick
Key	F5	A	SM	Refresh

Key	BackSpace	A	SM	Function "QuitSave"

#button bar popup menus
Key	s	A	SM	Function "barsusepopupfunc"
Key	g	A	SM	Function "bargraphicpopupfunc"
Key	t	A	SM	Function "bartoolspopupfunc"
Key	l	A	SM	Function "barshellpopupfunc"
Key	m	A	SM	Function "MailFunc"

Key	F1	A	SM	Restart fvwm2



# Mouse bindings

Mouse	1	R	A	Menu	WORK_MENU_popup	Nop
Mouse	2	R	A	Module	FvwmWinList	Transient
Mouse	3	R	A	Menu	xdg_menu	Nop
Mouse	2	FST	A	Menu	windowops	Nop

Mouse	1	1	A	Menu	windowops	Delete
Mouse	2	1	A	Menu	windowops	Destroy
Mouse	3	1	A	Menu	windowops	Nop

Mouse	1	SF	A	Function "ResizeOrRaise"

Mouse	1	T	A	Function "MoveOrRaise"

Mouse	1	I	A	Iconify
Mouse	2	I	A	Iconify
Mouse	3	TSIF	A	RaiseLower

Mouse	1	2	A	Maximize 0 100
Mouse	2	2	A	Maximize 100 100
Mouse	3	2	A	Maximize 100 0
Mouse	0	4	A	Iconify
Mouse	1	3	A	Stick
